> ## Documentation Index
> Fetch the complete documentation index at: https://telr-docs.cashfree.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Merchant Status

> Use this API to get Merchant onboarding details by for the sub-merchant account.



## OpenAPI

````yaml get /merchants/{merchant_id}
openapi: 3.0.0
info:
  version: '2023-01-01'
  title: Merchant Onboarding APIs
servers:
  - url: https://api-sandbox.cashfree.com/partners
    description: Sandbox server
  - url: https://api.cashfree.com/partners
    description: Production server
security: []
paths:
  /merchants/{merchant_id}:
    get:
      tags:
        - Merchant Onboarding
      summary: Get Merchant Status
      description: >-
        Use this API to get Merchant onboarding details by for the sub-merchant
        account.
      parameters:
        - $ref: '#/components/parameters/apiKeyHeader'
        - $ref: '#/components/parameters/apiVersionHeader'
        - in: path
          name: merchant_id
          required: true
          schema:
            type: string
            description: Unique identifier for the merchant
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantResponseEntity'
        '401':
          description: Invalid Partner API Key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
        '404':
          description: Invalid Merchant ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidMerchantError'
        '409':
          description: Product is already active for the merchant
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AlreadyActiveError'
        default:
          description: Any bad or invalid request will lead to following error object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    apiKeyHeader:
      in: header
      name: x-partner-apikey
      required: true
      schema:
        description: Partner API Key
        type: string
    apiVersionHeader:
      in: header
      name: x-api-version
      schema:
        type: string
        description: API version to be used
        default: '2023-01-01'
  schemas:
    MerchantResponseEntity:
      title: MerchantResponseEntity
      type: object
      example:
        merchant_id: test_merchantid_1
        merchant_email: john@cashfree.com
        merchant_name: John Doe Business
        created_at: '2023-07-24T04:45:20.000Z'
        onboarding_status: Email Verified
        product_status:
          - product_name: PG
            product_min_kyc_status: MIN_KYC_PENDING
      properties:
        merchant_id:
          type: string
          description: >-
            Unique identifier for the merchant. Max 40 characters, Alphanumeric,
            Hypeh, Underscore allowed.
        merchant_email:
          type: string
          description: Registered email address
        merchant_name:
          type: string
          description: Business brand name
        created_at:
          type: string
          description: Timestamp when merchant account was created
        onboarding_status:
          type: string
          description: >-
            Merchant account onboarding status- "Created": Email is not
            verified, "Email Verified": Email is verified
        product_status:
          type: array
          description: >-
            List of Product KYC Status {"product_name":
            "PG","product_min_kyc_status": "MIN_KYC_PENDING"}
          items:
            type: object
            properties:
              product_name:
                type: string
                description: Product requested for Merchant
              product_min_kyc_status:
                type: string
                description: >-
                  KYC status for the product. One of
                  ["MIN_KYC_PENDING","MIN_KYC_SUBMITTED","MIN_KYC_APPROVED","MIN_KYC_REJECTED"]
    AuthenticationError:
      title: AuthenticationError
      example:
        message: Invalid authentication credentials
        code: failed_authentication
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          description: invalid_request_error
    InvalidMerchantError:
      title: InvalidMerchantError
      example:
        message: Merchant not found or linked to partner
        code: partner_connect_not_found
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          description: invalid_request_error
    AlreadyActiveError:
      title: AlreadyActiveError
      example:
        message: Product is already active for the merchant
        code: merchant_product_is_active
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          description: invalid_request_error
    ErrorResponse:
      title: ErrorResponse
      example:
        message: bad URL, please check API documentation
        code: request_failed
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          description: invalid_request_error

````